Commits

stacklet committed bda595f

Fedora 18 specs and assets

  • Participants
  • Parent commits 1064bba

Comments (0)

Files changed (16)

File specs/distro/fedora/18/assets/fedora.18.x86-64/corePackages

+a/audit-libs-2.2.1-2.fc18.x86_64.rpm
+b/basesystem-10.0-7.fc18.noarch.rpm
+b/bash-4.2.37-3.fc18.x86_64.rpm
+b/bzip2-libs-1.0.6-5.fc18.x86_64.rpm
+c/ca-certificates-2012.85-2.fc18.noarch.rpm
+c/chkconfig-1.3.59-2.fc18.x86_64.rpm
+c/coreutils-8.17-4.fc18.x86_64.rpm
+c/cracklib-2.8.19-2.fc18.x86_64.rpm
+c/cracklib-dicts-2.8.19-2.fc18.x86_64.rpm
+c/curl-7.27.0-2.fc18.x86_64.rpm
+c/cyrus-sasl-lib-2.1.23-35.fc18.x86_64.rpm
+e/eject-2.1.5-24.fc18.x86_64.rpm
+e/elfutils-libelf-0.154-4.fc18.x86_64.rpm
+e/expat-2.1.0-4.fc18.x86_64.rpm
+f/fedora-release-18-0.8.noarch.rpm
+f/fedora-release-notes-17.1.0-2.fc18.noarch.rpm
+f/file-libs-5.11-4.fc18.x86_64.rpm
+f/filesystem-3.1-2.fc18.x86_64.rpm
+g/gamin-0.1.10-13.fc18.x86_64.rpm
+g/gdbm-1.10-3.fc18.x86_64.rpm
+g/glib2-2.33.6-2.fc18.x86_64.rpm
+g/glibc-2.16-7.fc18.x86_64.rpm
+g/glibc-common-2.16-7.fc18.x86_64.rpm
+g/gmp-5.0.5-3.fc18.x86_64.rpm
+g/gnupg2-2.0.19-4.fc18.x86_64.rpm
+g/gpgme-1.3.0-9.fc18.x86_64.rpm
+g/grep-2.13-2.fc18.x86_64.rpm
+g/gzip-1.5-2.fc18.x86_64.rpm
+i/info-4.13a-17.fc18.x86_64.rpm
+k/keyutils-libs-1.5.5-3.fc18.x86_64.rpm
+k/krb5-libs-1.10.2-7.fc18.x86_64.rpm
+l/libacl-2.2.51-7.fc18.x86_64.rpm
+l/libassuan-2.0.3-3.fc18.x86_64.rpm
+l/libattr-2.4.46-7.fc18.x86_64.rpm
+l/libcap-2.22-3.fc18.x86_64.rpm
+l/libcom_err-1.42.5-1.fc18.x86_64.rpm
+l/libcurl-7.27.0-2.fc18.x86_64.rpm
+l/libdb4-4.8.30-5.fc18.x86_64.rpm
+l/libdb-5.3.21-3.fc18.x86_64.rpm
+l/libdb-utils-5.3.21-3.fc18.x86_64.rpm
+l/libffi-3.0.10-3.fc18.x86_64.rpm
+l/libgcc-4.7.1-5.fc18.x86_64.rpm
+l/libgcrypt-1.5.0-6.fc18.x86_64.rpm
+l/libgpg-error-1.10-3.fc18.x86_64.rpm
+l/libidn-1.25-3.fc18.x86_64.rpm
+l/libpwquality-1.1.1-2.fc18.x86_64.rpm
+l/libselinux-2.1.11-6.fc18.x86_64.rpm
+l/libsepol-2.1.7-4.fc18.x86_64.rpm
+l/libssh2-1.4.2-2.fc18.x86_64.rpm
+l/libstdc++-4.7.1-5.fc18.x86_64.rpm
+l/libxml2-2.9.0-0rc1.fc18.x86_64.rpm
+l/lua-5.1.4-11.fc18.x86_64.rpm
+n/ncurses-5.9-5.20120204.fc18.x86_64.rpm
+n/ncurses-base-5.9-5.20120204.fc18.x86_64.rpm
+n/ncurses-libs-5.9-5.20120204.fc18.x86_64.rpm
+n/nspr-4.9.1-6.fc18.x86_64.rpm
+n/nss-3.13.5-7.fc18.x86_64.rpm
+n/nss-softokn-3.13.5-3.fc18.x86_64.rpm
+n/nss-softokn-freebl-3.13.5-3.fc18.x86_64.rpm
+n/nss-sysinit-3.13.5-7.fc18.x86_64.rpm
+n/nss-tools-3.13.5-7.fc18.x86_64.rpm
+n/nss-util-3.13.5-4.fc18.x86_64.rpm
+o/openldap-2.4.32-1.fc18.x86_64.rpm
+o/openssl-libs-1.0.1c-6.fc18.x86_64.rpm
+p/pam-1.1.5-9.fc18.x86_64.rpm
+p/pcre-8.31-1.fc18.1.x86_64.rpm
+p/pinentry-0.8.1-7.fc18.x86_64.rpm
+p/pkgconfig-0.27-1.fc18.x86_64.rpm
+p/popt-1.13-12.fc18.x86_64.rpm
+p/pth-2.0.7-17.fc18.x86_64.rpm
+p/pygpgme-0.3-3.fc18.x86_64.rpm
+p/python-2.7.3-13.fc18.x86_64.rpm
+p/python-iniparse-0.4-5.fc18.noarch.rpm
+p/python-libs-2.7.3-13.fc18.x86_64.rpm
+p/python-pycurl-7.19.0-11.fc18.x86_64.rpm
+p/python-urlgrabber-3.9.1-20.fc18.noarch.rpm
+r/readline-6.2-5.fc18.x86_64.rpm
+r/rpm-4.10.0-6.fc18.x86_64.rpm
+r/rpm-build-libs-4.10.0-6.fc18.x86_64.rpm
+r/rpm-libs-4.10.0-6.fc18.x86_64.rpm
+r/rpm-python-4.10.0-6.fc18.x86_64.rpm
+s/sed-4.2.1-10.fc18.x86_64.rpm
+s/setup-2.8.57-1.fc18.noarch.rpm
+s/shared-mime-info-1.0-5.fc18.x86_64.rpm
+s/sqlite-3.7.13-2.fc18.x86_64.rpm
+t/tzdata-2012d-1.fc18.noarch.rpm
+x/xz-libs-5.1.2-2alpha.fc18.x86_64.rpm
+y/yum-3.4.3-42.fc18.noarch.rpm
+y/yum-metadata-parser-1.1.4-7.fc18.x86_64.rpm
+z/zlib-1.2.7-6.fc18.x86_64.rpm
+

File specs/distro/fedora/18/assets/fedora.18.x86-64/fstab

+_image.rootDevice_        /             _image.fsType_     defaults       1 1
+

File specs/distro/fedora/18/assets/fedora.18.x86-64/fstab.xen

+_image.rootDevice_        /             _image.fsType_     defaults,barrier=0       1 1
+

File specs/distro/fedora/18/assets/fedora.18.x86-64/ifcfg-eth0

+DEVICE=eth0
+BOOTPROTO=dhcp
+ONBOOT=yes
+TYPE=Ethernet

File specs/distro/fedora/18/assets/fedora.18.x86-64/network

+NETWORKING=yes
+HOSTNAME=localhost
+

File specs/distro/fedora/18/assets/fedora.18.x86-64/properties.xml

+<stk:properties xmlns:stk="http://stacklet.com/v1">
+  <stk:property name="_bootstrap.url_" value="http://dl.fedoraproject.org/pub/fedora/linux/releases/test/18-Alpha/Fedora/x86_64/os/Packages/"/>
+  <stk:property name="_image.kernel_" value="kernel"/>
+</stk:properties>

File specs/distro/fedora/18/assets/fedora.18.x86-64/sysconfig-kernel

+# UPDATEDEFAULT specifies if new-kernel-pkg should make
+# new kernels the default
+UPDATEDEFAULT=yes
+
+# DEFAULTKERNEL specifies the default kernel package type
+DEFAULTKERNEL=kernel
+

File specs/distro/fedora/18/desktop/assets/xstartup

+#!/bin/sh
+
+unset SESSION_MANAGER
+unset DBUS_SESSION_BUS_ADDRESS
+
+vncconfig -iconic &
+xfce4-session &
+

File specs/distro/fedora/18/desktop/xfce.properties.xml

+<stk:properties xmlns:stk="http://stacklet.com/v1">
+  <stk:property name="_build.assetLoc_" value="assets"/>
+  <stk:property name="_proxy_" value=""/>
+  <stk:property name="_desktop.environment_" value="Xfce"/>   
+</stk:properties>

File specs/distro/fedora/18/desktop/xfce.xml

+<stk:spec xmlns:stk="http://stacklet.com/specfile/v1" xmlns:xi="http://www.w3.org/2001/XInclude">
+  <imports>stacklet.task.image.core stacklet.task.distro.red</imports>
+  <xi:include href="xfce.properties.xml"/>
+  <stk:packageGroup proxy='_proxy_'>
+    <add>
+      Basic*X*windows
+      _desktop.environment_
+    </add>
+  </stk:packageGroup>    
+  <stk:package proxy='_proxy_'>
+    <add>
+      firefox
+      ghostscript-fonts
+      tigervnc-server
+      urw-fonts
+    </add>
+  </stk:package>    
+  <stk:file>
+    <loc>/root/.vnc</loc>
+    <name>xstartup</name>
+    <stk:content filters='substitute_props'>
+      <loc>_build.assetLoc_</loc>
+      <name>xstartup</name>
+    </stk:content>
+  </stk:file>        
+  <stk:command>
+    chmod +x /root/.vnc/xstartup
+  </stk:command>    
+  <stk:command>
+    systemctl --no-reload disable firstboot-graphical.service NetworkManager.service rpcbind.service || true
+  </stk:command>
+  <stk:command>
+    ln -sf /lib/systemd/system/graphical.target /etc/systemd/system/default.target
+  </stk:command>
+</stk:spec>
+

File specs/distro/fedora/18/fedora.18.x86.boot.properties.xml

+<stk:properties xmlns:stk="http://stacklet.com/v1">
+  <stk:property name="_image.fsType_" value="ext4"/>
+  <stk:property name="_image.rootDevice_" value="LABEL=root"/>
+  <stk:property name="_proxy_" value=""/>
+</stk:properties>

File specs/distro/fedora/18/fedora.18.x86.boot.xml

+<?xml version="1.0"?>
+<stk:spec xmlns:stk="http://stacklet.com/specfile/v1"
+          xmlns:xi="http://www.w3.org/2001/XInclude">
+  <imports>stacklet.task.image.core stacklet.task.distro.red</imports>
+  <xi:include href="fedora.18.x86.boot.properties.xml"/>
+  <stk:spec>
+    <stk:directory>
+      <loc>/boot/grub</loc>
+    </stk:directory>
+    <stk:file>
+      <loc>/etc</loc>
+      <name>fstab</name>
+      <exists>replace</exists>
+      <stk:content filters='substitute_props'>
+        <loc>_build.assetLoc_</loc>
+        <name>fstab</name>
+      </stk:content>
+    </stk:file>
+    <stk:package proxy='_proxy_'>
+      <update>all</update>
+      <add>
+        grub2
+      </add>
+    </stk:package>
+    <stk:kernel>
+      <name>vmlinuz-.*</name>
+      <options> root=_image.rootDevice_ ro quiet</options>
+      <grubConfig>/boot/grub/grub.conf</grubConfig>
+    </stk:kernel>
+    <stk:command>
+      cd /etc; 
+      ln -sf ../boot/grub/grub.conf grub.conf
+    </stk:command>
+    <stk:file>
+      <loc>/etc/sysconfig</loc>
+      <name>kernel</name>
+      <exists>replace</exists>
+      <stk:content>
+        <loc>_build.assetLoc_</loc>
+        <name>sysconfig-kernel</name>
+      </stk:content>
+    </stk:file>
+    <stk:command>
+      package-cleanup -y --oldkernels --count=1
+    </stk:command>
+  </stk:spec>
+</stk:spec>

File specs/distro/fedora/18/fedora.18.x86.lightweight.properties.xml

+<stk:properties xmlns:stk="http://stacklet.com/v1">
+  <stk:property name="_image.fsType_" value="ext4"/>
+  <stk:property name="_image.rootDevice_" value="LABEL=root"/>
+  <stk:property name="_proxy_" value=""/>
+</stk:properties>

File specs/distro/fedora/18/fedora.18.x86.lightweight.xml

+<?xml version="1.0"?>
+<stk:spec xmlns:stk="http://stacklet.com/specfile/v1"
+          xmlns:xi="http://www.w3.org/2001/XInclude">
+  <imports>stacklet.task.image.core stacklet.task.user.password stacklet.task.distro.red</imports>
+  <xi:include href="fedora.18.x86.lightweight.properties.xml"/>
+  <stk:properties>
+    <name>properties.xml</name>
+  </stk:properties>
+  <stk:spec>
+    <stk:directory>
+      <loc>/dev</loc>
+    </stk:directory>
+    <stk:device name='console' spec='c 5 1'/>
+    <stk:device name='null' spec='c 1 3'/>
+    <stk:device name='zero' spec='c 1 5'/>
+    <stk:device name='random' spec='c 1 8'/>
+    <stk:device name='urandom' spec='c 1 9'/>
+    <stk:directory>
+      <loc>/bootstrap</loc>
+    </stk:directory>
+    <stk:directory>
+      <loc>/etc</loc>
+    </stk:directory>
+    <stk:directory>
+      <loc>/tmp</loc>
+    </stk:directory>
+    <stk:file>
+      <loc>/bootstrap</loc>
+      <name>corePackages</name>
+      <exists>replace</exists>
+      <stk:content>
+        <loc>_build.assetLoc_</loc>
+        <name>corePackages</name>
+      </stk:content>
+    </stk:file>
+    <stk:bootstrap proxy='_proxy_'>
+      <url>_bootstrap.url_</url>
+    </stk:bootstrap>
+    <stk:file>
+      <loc>/etc</loc>
+      <name>fstab</name>
+      <exists>replace</exists>
+      <stk:content filters='substitute_props'>
+        <loc>_build.assetLoc_</loc>
+        <name>fstab</name>
+      </stk:content>
+    </stk:file>
+    <stk:file>
+      <loc>/etc/sysconfig</loc>
+      <name>network</name>
+      <exists>replace</exists>
+      <stk:content>
+        <loc>_build.assetLoc_</loc>
+        <name>network</name>
+      </stk:content>
+    </stk:file>
+    <stk:file>
+      <loc>/etc/sysconfig/network-scripts</loc>
+      <name>ifcfg-eth0</name>
+      <exists>replace</exists>
+      <stk:content>
+        <loc>_build.assetLoc_</loc>
+        <name>ifcfg-eth0</name>
+      </stk:content>
+    </stk:file>
+    <stk:package proxy='_proxy_'>
+      <update>all</update>
+      <add>
+        acl 
+        acpid
+        attr 
+        audit 
+        authconfig
+        bzip2
+        checkpolicy
+        cronie
+        dhclient
+        diffutils
+        e2fsprogs
+        file
+        hostname
+        _image.kernel_
+        iptables
+        lsof 
+        make  
+        man
+        mingetty
+        nano
+        net-tools
+        openssh-server
+        openssh-clients
+        pam_pkcs11
+        passwd
+        policycoreutils
+        redhat-lsb-core
+        rootfiles
+        rsyslog
+        selinux-policy 
+        selinux-policy-targeted 
+        sendmail 
+        setserial 
+        system-config-firewall-base
+        sudo
+        tar
+        uuid
+        vim-minimal
+        wget
+        which
+        yum-plugin-fastestmirror
+        yum-utils
+      </add>
+    </stk:package>
+    <stk:service>
+      <enable>
+        network
+      </enable>
+    </stk:service>
+    <stk:command>
+      systemctl --no-reload enable sshd.service || true
+    </stk:command>
+    <stk:command>
+      systemctl --no-reload enable crond.service || true
+    </stk:command>
+    <stk:command>
+      systemctl --no-reload disable iptables.service ip6tables.service || true
+    </stk:command>
+    <stk:password>
+      <user>root</user>
+      <password>password</password>
+    </stk:password>
+    <stk:command>
+      ln -sf /lib/systemd/system/multi-user.target /etc/systemd/system/default.target
+    </stk:command>
+    <stk:command>
+      sed -i.save -e 's/SELINUX=enforcing/SELINUX=disabled/' /etc/selinux/config
+    </stk:command>
+    <stk:command>
+      echo UTC &gt;&gt; /etc/adjtime;
+      ln -sf /usr/share/zoneinfo/Etc/UTC /etc/localtime;
+      echo -e 'ZONE="Etc/UTC"\nUTC=true' &gt; /etc/sysconfig/clock;
+    </stk:command>
+  </stk:spec>
+</stk:spec>

File specs/distro/fedora/18/fedora.18.x86.xenboot.properties.xml

+<stk:properties xmlns:stk="http://stacklet.com/v1">
+  <stk:property name="_image.fsType_" value="ext4"/>
+  <stk:property name="_image.rootDevice_" value="/dev/xvda"/>
+  <stk:property name="_proxy_" value=""/>
+</stk:properties>

File specs/distro/fedora/18/fedora.18.x86.xenboot.xml

+<?xml version="1.0"?>
+<stk:spec xmlns:stk="http://stacklet.com/specfile/v1"
+          xmlns:xi="http://www.w3.org/2001/XInclude">
+  <imports>stacklet.task.image.core stacklet.task.distro.red</imports>
+  <xi:include href="fedora.18.x86.xenboot.properties.xml"/>
+  <stk:spec>
+    <stk:file>
+      <loc>/etc</loc>
+      <name>fstab</name>
+      <exists>replace</exists>
+      <stk:content filters='substitute_props'>
+        <loc>_build.assetLoc_</loc>
+        <name>fstab.xen</name>
+      </stk:content>
+    </stk:file>
+    <stk:command>
+      rm -f /boot/grub/grub.conf
+    </stk:command>
+    <stk:kernel>
+      <name>vmlinuz-.*</name>
+      <options> console=hvc0 root=_image.rootDevice_ ro quiet </options>
+      <grubConfig>/boot/grub/grub.conf</grubConfig>
+    </stk:kernel>
+  </stk:spec>
+</stk:spec>